import { ErrorType } from "./definitions";
import socketio from 'socket.io';
import { Project } from "../project";
export declare class SocketIOProjectLinkerServer {
    project: Project;
    socket?: socketio.Socket;
    constructor(project: Project);
    feedback(msg: string): void;
    error(msg: ErrorType): void;
    progress(type: string, data: {
        message?: string;
        done?: boolean;
    }): void;
    start(PORT: number): void;
}
